TLA-GPG-CHECK(1)

NAME
tla-gpg-check - GNU Arch revision signature checker

SYNOPSIS
tla-gpg-check gpg_command="gpg_command"

DESCRIPTION
Checks whether a revision is correctly signed. This is intended to be used in tla's signing hooks. It calls gpg_command on the standard input and makes sure only one signed message is given.

Here is how to setup a simple automatic tla signature check:

mkdir -p -m 700 ~/.arch-params/signing/
echo 'tla-gpg-check gpg_command="gpg --verify-files -"' \
  > ~/.arch-params/signing/=default.check
echo 'gpg --clearsign --use-agent' > ~/.arch-params/signing/=default

SEE ALSO
tla(1)
http://www.seyza.com/gnuarchwiki/ArchiveSigning

AUTHOR
tla-gpg-check was written by Tom Lord.

This manual page was written by Sylvain Beucler <beuc@beuc.net>, for the Debian project (but may be used by others).